// SVAECreate.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVAECREATE__
#define __SVAECREATE__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "SVToken.h"

pascal OSErr	DoNewElement(const AppleEvent	*theAppleEvent,
									AppleEvent	*reply, 
									long		handlerRefCon);

OSErr			CreateWindow(AEDesc* dataDesc, AEDesc* insertHereDesc,
										AEDesc* propertyDesc, AEDesc* result);

OSErr			GetBehindWindow(AEDesc* insertDesc, DescType insertType, WindowPtr* behindWindow);
OSErr			SetWindowPropertyRecord(WindowPtr theWindow, AEDesc* propertyRecord);
OSErr			SetWindowData(WindowPtr theWindow, AEDesc* dataDesc);

OSErr			CreateText(DescType textType, AEDesc* dataDesc, AEDesc* insertHereDesc,
													AEDesc* propertyDesc, AEDesc* result);
OSErr			GetInsertToken(AEDesc* insertDesc, DescType insertType, TextToken* resultToken);
OSErr			CreateAtTextToken(DescType textType, const AEDesc* dataDesc, TextToken* theToken,
														AEDesc* propertyDesc, AEDesc* result);
OSErr			SetTextPropertyRecord(TextToken* aTextToken, AEDesc* propertyRecord);

#endif
