// SVEditGlobals.c
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

/*
	Changes for 3.1:
	
		12-Oct-95	: CW : Added Metrowerks condition for "qd" definition.
						   Added gHasDragManager flag, gDragTrackingHandlerUPP and
						   gDragReceiveHandlerUPP Drag Manager UPPs (all globals).
*/


#define __COMPGLOBALS__

#include "SVEditGlobals.h"


#if defined(powerc) && !defined(__MWERKS__) // MetroWerks declares "qd" in their runtime
	QDGlobals	qd;
#endif


short      gWCount;
short      gNewDocCount;
MenuHandle myMenus[kLastMenu+1];
short      gFontMItem;
Boolean    gQuitting;
Cursor     editCursor;
Cursor     waitCursor;
Boolean    gInBackground;
  
  /*now for the environment variables set up by Gestalt*/
  
Boolean    gGestaltAvailable;
Boolean    gAppleEventsImplemented;
Boolean    gAliasManagerImplemented;
Boolean    gEditionManagerImplemented;
Boolean    gOutlineFontsImplemented;
Boolean    gRecordingImplemented;
Boolean    gHasDragManager;		/* Is the Drag Manager available? */
Boolean    gGXIsPresent;


ControlActionUPP		gHScrollActionUPP;
ControlActionUPP		gVScrollActionUPP;
UserItemUPP				gDefaultButtonUPP;
DragTrackingHandlerUPP	gDragTrackingHandlerUPP;
DragReceiveHandlerUPP	gDragReceiveHandlerUPP;



