/**********************************************
	
	Resource file for PlaySnd.c
	Copyright 1993 Apple Computer Inc.
	All rights reserved
	Written by Donald Olson

***********************************************/ 

#include "Types.r"
#include "SysTypes.r"
#include "AEUserTermTypes.r"

/* Our version 1 and 2 resources */
resource 'vers' (1) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"1.0, Copyright  1993 Apple Comput"
	"er, Inc. All rights reserved."
};

resource 'vers' (2) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"(by Donald Olson)"
};

/* 
	This string is used when the user double clicks on an OSAX
	file. Since it contains nothing that can be opened or 
	printed, the user gets this in a dialog (thanks to the
	System for making this happen).
*/

resource 'STR ' (-16397) {
	"This document can not be opened or printed."
	" It extends the functionality of AppleScript"
	"and should be placed in the Scripting Additions"
	"folder found in the Extensions folder of your"
	" System Folder."
};

/*
	Our 'aete' resource. It's here that we describe to 
	AppleScript the syntax of our OSAX. Notice that the
	comment field contain information about the event and
	it's parameters. These comments will be displayed by
	Toy Surprise if the user selects this OSAX in the 
	terminology browser invoked when the user chooses the 
	Open Dictionary menu.
*/

resource 'aete' (0, "Play Sound OSAX") {
	0x0,
	-0x70,
	english,
	roman,
	{	/* array Suites: 1 elements */
		/* [1] */
		"System Object Suite",
		"",
		'syso',
		1,
		1,
		{	/* array Events: 1 elements */
			/* [1] */
			"play sound",
			" This is the syntax for invoking this OSAX from"
			" AppleScript.",
			'aevt',
			'plsn',
			noReply,
			"The reply is not required",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			'****',
			"id or name of 'snd ' resource to play"
			" or  path to a sound file",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		}
	}
};
