// SVAESelect.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVAESELECT__
#define __SVAESELECT__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "SVToken.h"

pascal OSErr	DoSelect(const AppleEvent *theAppleEvent, AppleEvent *reply, long refcon);

OSErr			SelectWindowToken(WindowToken* theToken);
OSErr			SelectWindowDesc(AEDesc* windowDesc);

OSErr			SelectTextToken(TextToken* theToken);
OSErr			SelectTextDesc(AEDesc* textDesc);

OSErr			SelectDesc(const AEDesc* aDesc, AEDesc* result);

OSErr			GetWindowSelection(WindowPtr aWindow, TextToken* resultToken,
																short* resultLength);
OSErr			UpdateSelectionToken(TextToken* anInsertToken, TextToken* aSelectionToken,
														short oldLength, short* insertLength);

#endif



