#define mApple  128
#define mFile   129
#define mEdit   130
#define mFont   131
#define mSize   132
#define mStyle  133
#define mScript 134

#define kPrefSize	500
#define kMinSize	500


#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"
#include "AEUserTermTypes.r"
#include "AERegistry.r"
#include "AEObjects.r"
#include "AppleEvents.r"

data 'SCPT' (mFile*32+4){
"tell application \"MenuScripter\" \n"
"close window 1\n"
"end tell"
};


data 'SCPT' (mEdit*32+3){
"tell application \"MenuScripter\" \n"
"Cut\n"
"end tell"
};

data 'SCPT' (mEdit*32+4){
"tell application \"MenuScripter\" \n"
"Copy\n"
"end tell"
};

data 'SCPT' (mEdit*32+5){
"tell application \"MenuScripter\" \n"
"Paste\n"
"end tell"
};

data 'SCPT' (mEdit*32+6){
"tell application \"MenuScripter\" \n"
"Copy selection of window 1 to usersel\n"
"Delete usersel"
"end tell"
};

data 'SCPT' (mEdit*32+7){
"tell application \"MenuScripter\" \n"
"set the selection of window 1 to ((character 1 thru 32767) of Window 1)\n"
"end tell"
};

data 'SCPT' (mEdit*32+9){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"Create Publisher usersel\n"
"end tell"
};

data 'SCPT' (mEdit*32+12){
"tell application \"MenuScripter\" \n"
"set bordersvis to the show borders of window 1\n"
"set bordersvis to not bordersvis\n"
"set the show borders of window 1 to bordersvis\n"
"end tell"
};

data 'SCPT' (mFile*32+1){
"tell application \"MenuScripter\" \n"
"Make Window\n"
"end tell"
};

data 'SCPT' (mFile*32+4){
"tell application \"MenuScripter\" \n"
"Close Window 1\n"
"end tell"
};

data 'SCPT' (mFile*32+10){
"tell application \"MenuScripter\" \n"
"Print window 1\n"
"end tell"
};

data 'SCPT' (mFile*32+12){
"tell application \"MenuScripter\" \n"
"Quit Application\n"
"end tell"
};

data 'SCPT' (mFont*32){
"tell application \"MenuScripter\" \n"
"set mitem to the Active Item of Menu \"Font\" \n"
"copy selection of Window 1 to usersel\n"
"set fontname to the Name of Menu Item mitem of Menu \"Font\" \n"
"set Font of usersel to fontname \n"
"end tell"
};

data 'SCPT' (mSize*32+1){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 8\n"
"end tell"
};

data 'SCPT' (mSize*32+2){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 9\n"
"end tell"
};

data 'SCPT' (mSize*32+3){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 10\n"
"end tell"
};

data 'SCPT' (mSize*32+4){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 12\n"
"end tell"
};

data 'SCPT' (mSize*32+5){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 14\n"
"end tell"
};

data 'SCPT' (mSize*32+6){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 18\n"
"end tell"
};

data 'SCPT' (mSize*32+7){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 24\n"
"end tell"
};

data 'SCPT' (mSize*32+8){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 36\n"
"end tell"
};

data 'SCPT' (mSize*32+9){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set size of usersel to 48\n"
"end tell"
};

data 'SCPT' (mSize*32+11){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set fontsize to the size of usersel\n"
"set fontsize to fontsize+1 \n"
"if fontsize=2000\n"
"set fontsize to 12\n"
"end if\n"
"set the size of usersel to fontsize\n"
"end tell"
};

data 'SCPT' (mSize*32+12){
"tell application \"MenuScripter\" \n"
"copy selection of window 1 to usersel\n"
"set fontsize to the size of usersel\n"
"set fontsize to fontsize-1 \n"
"if fontsize=0\n"
"set fontsize to 12\n"
"end if\n"
"set the size of usersel to fontsize\n"
"end tell"
};

data 'SCPT' (mStyle*32+1){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"set x to \{class:text style info, on styles:\{\"plan\"\}, off styles:\{\}\}\n"
"set style of usersel to x\n"
"end tell"
};

data 'SCPT' (mStyle*32+1){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"set x to \{class:text style info, on styles:Plain, off styles:\{\}\}\n"
"copy x to style of usersel\n"
"end tell"
};

data 'SCPT' (mStyle*32+2){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"copy style of usersel to selstyle\n"
"if on styles of selstyle contains bold then\n"
"set x to \{class:text style info, on styles:\{\}, off styles:\{bold\}\}\n"
"else\n"
"set x to \{class:text style info, on styles:\{bold\}, off styles:\{\}\}\n"
"end if\n"
"set style of usersel to x\n"
"end tell"
};

data 'SCPT' (mStyle*32+3){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"copy style of usersel to selstyle\n"
"if on styles of selstyle contains italic then\n"
"set x to \{class:text style info, on styles:\{\}, off styles:\{italic\}\}\n"
"else\n"
"set x to \{class:text style info, on styles:\{italic\}, off styles:\{\}\}\n"
"end if\n"
"set style of usersel to x\n"
"end tell"
};

data 'SCPT' (mStyle*32+4){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"copy style of usersel to selstyle\n"
"if on styles of selstyle contains underline then\n"
"set x to \{class:text style info, on styles:\{\}, off styles:\{underline\}\}\n"
"else\n"
"set x to \{class:text style info, on styles:\{underline\}, off styles:\{\}\}\n"
"end if\n"
"set style of usersel to x\n"
"end tell"
};

data 'SCPT' (mStyle*32+5){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"copy style of usersel to selstyle\n"
"if on styles of selstyle contains outline then\n"
"set x to \{class:text style info, on styles:\{\}, off styles:\{outline\}\}\n"
"else\n"
"set x to \{class:text style info, on styles:\{outline\}, off styles:\{\}\}\n"
"end if\n"
"set style of usersel to x\n"
"end tell"
};

data 'SCPT' (mStyle*32+6){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"copy style of usersel to selstyle\n"
"if on styles of selstyle contains shadow then\n"
"set x to \{class:text style info, on styles:\{\}, off styles:\{shadow\}\}\n"
"else\n"
"set x to \{class:text style info, on styles:\{shadow\}, off styles:\{\}\}\n"
"end if\n"
"set style of usersel to x\n"
"end tell"
};

data 'SCPT' (mStyle*32+7){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"copy style of usersel to selstyle\n"
"if on styles of selstyle contains condensed then\n"
"set x to \{class:text style info, on styles:\{\}, off styles:\{condensed\}\}\n"
"else\n"
"set x to \{class:text style info, on styles:\{condensed\}, off styles:\{\}\}\n"
"end if\n"
"set style of usersel to x\n"
"end tell"
};

data 'SCPT' (mStyle*32+8){
"tell application \"MenuScripter\"\n"
"copy selection of window 1 to usersel\n"
"copy style of usersel to selstyle\n"
"if on styles of selstyle contains extended then\n"
"set x to \{class:text style info, on styles:\{\}, off styles:\{extended\}\}\n"
"else\n"
"set x to \{class:text style info, on styles:\{extended\}, off styles:\{\}\}\n"
"end if\n"
"set style of usersel to x\n"
"end tell"
};

resource 'DITL' (400, "Menu Script Editor") {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{164, 319, 184, 377},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{164, 251, 184, 309},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{164, 181, 184, 239},
		Button {
			enabled,
			"Compile"
		},
		/* [4] */
		{9, 10, 155, 362},
		UserItem {
			enabled
		},
		/* [5] */
		{9, 361, 155, 377},
		UserItem {
			disabled
		}
	}
};

resource 'DLOG' (400, "Menu Script Editor") {
	{80, 40, 274, 431},
	movableDBoxProc,
	visible,
	noGoAway,
	0x0,
	400,
	"Menu Script"
};

resource 'vers' (1) {
	0x01, 0x00, development, 0x06,
	verBritain,
	"1.0d6",
	"1.0d6, SRL Data, 1993"
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0FFF FE00 0800 0300 0800 0280 0BEE DA40"
		$"0800 0220 0BF6 F210 0800 03F8 0BEF BDC8"
		$"081F FFE8 0B64 0038 0844 0018 0BC4 0018"
		$"0847 FFF8 0B40 00E8 0847 FC88 0AC7 FCC8"
		$"0840 1888 0BC0 18E8 0840 3088 0B40 30C8"
		$"0840 3088 0AC0 70E8 0840 6088 0BC0 60C8"
		$"0840 E088 0AC0 C0E8 0FC0 C088 0C40 00E8"
		$"0C40 0088 0BFF FF68 0800 0008 0FFF FFF8",
		/* [2] */
		$"0FFF FE00 0FFF FF00 0FFF FF80 0FFF FFC0"
		$"0FFF FFE0 0FFF FFF0 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
	}
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"00FF FFFC 0110 0002 0208 0001 0208 0001"
		$"0208 0001 020F FFFF 0200 0020 0200 0020"
		$"0207 FF20 0208 0120 021B F920 0216 0920"
		$"021C 1220 0200 1220 0200 1220 0200 3220"
		$"0200 2420 0200 27A0 0200 68E0 0200 5E30"
		$"0200 7F9C 0200 981C 0200 BC1C 0200 A7FC"
		$"0201 203C 0201 E020 FE00 0020 8200 0020"
		$"8200 0020 8200 0020 4400 0040 3FFF FF80",
		/* [2] */
		$"00FF FFFC 01FF FFFE 03FF FFFF 03FF FFFF"
		$"03FF FFFF 03FF FFFF 03FF FFE0 03FF FFE0"
		$"03FF FFE0 03FF FFE0 03FF FFE0 03FF FFE0"
		$"03FF FFE0 03FF FFE0 03FF FFE0 03FF FFE0"
		$"03FF FFE0 03FF FFE0 03FF FFE0 03FF FFF0"
		$"03FF FFFC 03FF FFFC 03FF FFFC 03FF FFFC"
		$"03FF FFFC 03FF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 7FFF FFC0 3FFF FF80"
	}
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"1FFF 1201 13FF 1004 13F4 17F4 1654 1054"
		$"107C 10FC 10FE 10FE 11C6 F004 9004 FFF8",
		/* [2] */
		$"1FFF 1FFF 1FFF 1FFC 1FFC 1FFC 1FFC 1FFC"
		$"1FFC 1FFC 1FFE 1FFE 1FFE FFFC FFFC FFF8"
	}
};

resource 'ics#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FF0 3FF8 3FD4 3FFE 3FFE 3A06 3BFE 3BEA"
		$"386E 384A 38CE 38CA 38CE 388E 3FFE 3FFE",
		/* [2] */
		$"3FF0 3FF8 3FFC 3FFE 3FFE 3FFE 3FFE 3FFE"
		$"3FFE 3FFE 3FFE 3FFE 3FFE 3FFE 3FFE 3FFE"
	}
};

resource 'icl8' (128) {
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 00FF FAFA FAFF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FF00"
	$"0000 0000 0000 FFF7 F7F7 F7F7 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"0000 0000 0000 FF00 0000 0000 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"0000 0000 0000 FF00 0000 0000 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"0000 0000 0000 FF00 0000 0000 FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 00FF FFFF"
	$"FFFF FFFF FFFF FFFF 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 FFEC ECEC"
	$"ECEC ECEC ECEC ECFF 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 00FF FFEC FFFF"
	$"FFFF FFFF FFEC ECFF 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 00FF ECFF FF00"
	$"0000 0000 FFEC ECFF 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 00FF FFFF 0000"
	$"0000 00FF ECEC FF00 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 00FF ECEC FF00 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 00FF ECEC FF00 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 FFFF ECEC FF00 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 FFEC ECFF 0000 0000 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 FFEC ECFF FFFF FF00 FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"00FF FFEC FF08 0808 FFFF FF00 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"00FF 2AFF FFFF FF08 0808 FFFF 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"00FF FFFF FFFF FFFF FF08 08FF FFFF 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"FF2A 2AFF FF08 0808 0808 08FF FFFF 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"FF2A FFFF FFFF 0808 0808 08FF FFFF 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"FF2A FF00 00FF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 00FF"
	$"F5F5 FF00 0000 0000 0000 FFFF FFFF 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 00FF"
	$"FFFF FF00 0000 0000 0000 FF00 0000 0000"
	$"FFFF FFFF FFFF FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 0000"
	$"FF00 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 0000"
	$"FF00 0000 0000 FFF5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FF00 0000 0000"
	$"FF00 0000 0000 FFF7 F7F7 F7F7 F7F7 F7F7"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 FF00 0000 0000"
	$"00FF 0000 00FF FAFA FAFA FAFA FAFA FAFA"
	$"FAFA FAFA FAFA FAFA FAFF 0000 0000 0000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FF"
};

resource 'icl8' (129) {
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF00 0000 0000 0000 0000"
	$"0000 0000 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FFFF 0000 0000 0000 0000"
	$"0000 0000 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FF00 FF00 0000 0000 0000"
	$"0000 0000 FF00 D8D8 D8D8 D800 D8D8 D800"
	$"D8D8 00D8 D800 FF00 00FF 0000 0000 0000"
	$"0000 0000 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FF00 0000 FF00 0000 0000"
	$"0000 0000 FF00 D8D8 D8D8 D8D8 00D8 D800"
	$"D8D8 D8D8 0000 FF00 0000 00FF 0000 0000"
	$"0000 0000 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FFFF FFFF FFFF FF00 0000"
	$"0000 0000 FF00 D8D8 D8D8 D800 D8D8 D8D8"
	$"D800 D8D8 D8D8 00D8 D8D8 0000 FF00 0000"
	$"0000 0000 FF00 0000 0000 00FF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 FF00 0000"
	$"0000 0000 FF00 D8D8 00FF FF00 00FF 0000"
	$"0000 0000 0000 0000 0000 FFFF FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 00FF 0000"
	$"0000 0000 0000 0000 0000 00FF FF00 0000"
	$"0000 0000 FF00 D8D8 D8FF 0000 00FF 0000"
	$"0000 0000 0000 0000 0000 00FF FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 00FF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"0000 0000 FF00 D8D8 00FF 0000 0000 0000"
	$"0000 0000 0000 0000 FFD8 D800 FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 00EC ECEC"
	$"ECEC ECEC ECEC 0000 FF00 0000 FF00 0000"
	$"0000 0000 FF00 D800 D8FF 0000 00EC ECEC"
	$"ECEC ECEC ECEC 0000 FFD8 0000 FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 0000 0000"
	$"0000 00EC EC00 0000 FF00 0000 FF00 0000"
	$"0000 0000 FF00 D8D8 D8FF 0000 0000 0000"
	$"0000 00EC EC00 0000 FFD8 D800 FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 0000 0000"
	$"0000 ECEC 0000 0000 FF00 0000 FF00 0000"
	$"0000 0000 FF00 D8D8 00FF 0000 0000 0000"
	$"0000 ECEC 0000 0000 FFD8 0000 FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 0000 0000"
	$"0000 ECEC 0000 0000 FF00 0000 FF00 0000"
	$"0000 0000 FF00 D800 D8FF 0000 0000 0000"
	$"00EC ECEC 0000 0000 FFD8 D800 FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 0000 0000"
	$"00EC EC00 0000 0000 FF00 0000 FF00 0000"
	$"0000 0000 FF00 D8D8 D8FF 0000 0000 0000"
	$"00EC EC00 0000 0000 FFD8 0000 FF00 0000"
	$"0000 0000 FF00 0000 00FF 0000 0000 0000"
	$"ECEC EC00 0000 0000 FF00 0000 FF00 0000"
	$"0000 0000 FF00 D800 D8FF 0000 0000 0000"
	$"ECEC 0000 0000 0000 FFD8 D800 FF00 0000"
	$"0000 0000 FFFF FFFF FFFF 0000 0000 0000"
	$"ECEC 0000 0000 0000 FF00 0000 FF00 0000"
	$"0000 0000 FFFF 0000 00FF 0000 0000 0000"
	$"0000 0000 0000 0000 FFD8 D800 FF00 0000"
	$"0000 0000 FFFF 0000 00FF 0000 0000 0000"
	$"0000 0000 0000 0000 FF00 0000 FF00 0000"
	$"0000 0000 FF00 FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 00D8 D800 FF00 0000"
	$"0000 0000 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FF00 0000"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl4' (128) {
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FF00"
	$"0000 000F DDDF 0000 0000 0000 0000 00F0"
	$"0000 00FC CCCC F000 0000 0000 0000 000F"
	$"0000 00F0 0000 F000 0000 0000 0000 000F"
	$"0000 00F0 0000 F000 0000 0000 0000 000F"
	$"0000 00F0 0000 FFFF FFFF FFFF FFFF FFFF"
	$"0000 00F0 0000 0000 0000 0000 00F0 0000"
	$"0000 00F0 0000 0000 0000 0000 00F0 0000"
	$"0000 00F0 0000 0FFF FFFF FFFF 00F0 0000"
	$"0000 00F0 0000 F666 6666 666F 00F0 0000"
	$"0000 00F0 000F F6FF FFFF F66F 00F0 0000"
	$"0000 00F0 000F 6FF0 0000 F66F 00F0 0000"
	$"0000 00F0 000F FF00 000F 66F0 00F0 0000"
	$"0000 00F0 0000 0000 000F 66F0 00F0 0000"
	$"0000 00F0 0000 0000 000F 66F0 00F0 0000"
	$"0000 00F0 0000 0000 00FF 66F0 00F0 0000"
	$"0000 00F0 0000 0000 00F6 6F00 00F0 0000"
	$"0000 00F0 0000 0000 00F6 6FFF F0F0 0000"
	$"0000 00F0 0000 0000 0FF6 FCCC FFF0 0000"
	$"0000 00F0 0000 0000 0FCF FFFC CCFF 0000"
	$"0000 00F0 0000 0000 0FFF FFFF FCCF FF00"
	$"0000 00F0 0000 0000 FCCF FCCC CCCF FF00"
	$"0000 00F0 0000 0000 FCFF FFCC CCCF FF00"
	$"0000 00F0 0000 0000 FCF0 0FFF FFFF FF00"
	$"0000 00F0 0000 000F 00F0 0000 00FF FF00"
	$"0000 00F0 0000 000F FFF0 0000 00F0 0000"
	$"FFFF FFF0 0000 0000 0000 0000 00F0 0000"
	$"F000 00F0 0000 0000 0000 0000 00F0 0000"
	$"F000 00F0 0000 0000 0000 0000 00F0 0000"
	$"F000 00FC CCCC CCCC CCCC CCCC CCF0 0000"
	$"0F00 0FDD DDDD DDDD DDDD DDDD DF00 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF F0"
};

resource 'icl4' (129) {
	$"0000 FFFF FFFF FFFF FFFF FFF0 0000 0000"
	$"0000 F000 0000 0000 0000 00FF 0000 0000"
	$"0000 F000 0000 0000 0000 00F0 F000 0000"
	$"0000 F033 3330 3330 3303 30F0 0F00 0000"
	$"0000 F000 0000 0000 0000 00F0 00F0 0000"
	$"0000 F033 3333 0330 3333 00F0 000F 0000"
	$"0000 F000 0000 0000 0000 00FF FFFF F000"
	$"0000 F033 3330 3333 3033 3303 3300 F000"
	$"0000 F000 000F FFFF FFFF FFFF FFF0 F000"
	$"0000 F033 0FF0 0F00 0000 0000 00FF F000"
	$"0000 F000 0F00 0F00 0000 0000 000F F000"
	$"0000 F033 3F00 0F00 0000 0000 000F F000"
	$"0000 F000 0F00 0FFF FFFF FFFF FFFF F000"
	$"0000 F033 0F00 0000 0000 0000 F330 F000"
	$"0000 F000 0F00 0666 6666 6600 F000 F000"
	$"0000 F030 3F00 0666 6666 6600 F300 F000"
	$"0000 F000 0F00 0000 0006 6000 F000 F000"
	$"0000 F033 3F00 0000 0006 6000 F330 F000"
	$"0000 F000 0F00 0000 0066 0000 F000 F000"
	$"0000 F033 0F00 0000 0066 0000 F300 F000"
	$"0000 F000 0F00 0000 0066 0000 F000 F000"
	$"0000 F030 3F00 0000 0666 0000 F330 F000"
	$"0000 F000 0F00 0000 0660 0000 F000 F000"
	$"0000 F033 3F00 0000 0660 0000 F300 F000"
	$"0000 F000 0F00 0000 6660 0000 F000 F000"
	$"0000 F030 3F00 0000 6600 0000 F330 F000"
	$"0000 FFFF FF00 0000 6600 0000 F000 F000"
	$"0000 FF00 0F00 0000 0000 0000 F330 F000"
	$"0000 FF00 0F00 0000 0000 0000 F000 F000"
	$"0000 F0FF FFFF FFFF FFFF FFFF 0330 F000"
	$"0000 F000 0000 0000 0000 0000 0000 F000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF F0"
};

resource 'ics8' (128) {
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"0000 00FF F7F7 FF00 0000 0000 0000 00FF"
	$"0000 00FF 0000 FFFF FFFF FFFF FFFF FFFF"
	$"0000 00FF 0000 0000 0000 0000 00FF 0000"
	$"0000 00FF 0000 FFFF FFFF FFFF 00FF 0000"
	$"0000 00FF 00FF FFFF FFFF FFFF 00FF 0000"
	$"0000 00FF 00FF FF00 00FF ECFF 00FF 0000"
	$"0000 00FF 0000 0000 00FF ECFF 00FF 0000"
	$"0000 00FF 0000 0000 00FF FFFF FFFF 0000"
	$"0000 00FF 0000 0000 FFFF FFFF FFFF 0000"
	$"0000 00FF 0000 0000 FFFF FFFF FFFF FF00"
	$"0000 00FF 0000 0000 FFFF FFFF FFFF FF00"
	$"0000 00FF 0000 00FF FFFF 0000 00FF FF00"
	$"FFFF FFFF 0000 0000 0000 0000 00FF 0000"
	$"FF00 00FF F7F7 F7F7 F7F7 F7F7 F7FF 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'ics8' (129) {
	$"0000 FFFF FFFF FFFF FFFF FFFF 0000 0000"
	$"0000 FFD8 D8D8 D8D8 D8D8 D8FF FF00 0000"
	$"0000 FFD8 D8D8 D8D8 D8D8 00FF 00FF 0000"
	$"0000 FFD8 D8D8 D8D8 D8D8 D8FF FFFF FF00"
	$"0000 FFD8 FFFF FFFF FFFF FFFF FFFF FF00"
	$"0000 FFD8 FF00 FF00 0000 0000 00FF FF00"
	$"0000 FFD8 FF00 FFFF FFFF FFFF FFFF FF00"
	$"0000 FFD8 FF00 ECEC ECEC EC00 FF00 FF00"
	$"0000 FFD8 FF00 0000 00EC EC00 FFD8 FF00"
	$"0000 FFD8 FF00 0000 00EC 0000 FF00 FF00"
	$"0000 FFD8 FF00 0000 ECEC 0000 FFD8 FF00"
	$"0000 FFD8 FF00 0000 ECEC 0000 FF00 FF00"
	$"0000 FFD8 FF00 0000 ECEC 0000 FFD8 FF00"
	$"0000 FFFF FF00 0000 EC00 0000 FFD8 FF00"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFD8 FF00"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'ics4' (128) {
	$"000F FFFF FFFF FFFF 000F CCF0 0000 000F"
	$"000F 00FF FFFF FFFF 000F 0000 0000 0F00"
	$"000F 00FF FFFF 0F00 000F 0FFF FFFF 0F00"
	$"000F 0FF0 0F6F 0F00 000F 0000 0F6F 0F00"
	$"000F 0000 0FFF FF00 000F 0000 FFFF FF00"
	$"000F 0000 FFFF FFF0 000F 0000 FFFF FFF0"
	$"000F 000F FF00 0FF0 FFFF 0000 0000 0F00"
	$"F00F CCCC CCCC CF00 FFFF FFFF FFFF F0"
};

resource 'ics4' (129) {
	$"00FF FFFF FFFF 0000 00F3 3333 333F F000"
	$"00F3 3333 330F 0F00 00F3 3333 333F FFF0"
	$"00F3 FFFF FFFF FFF0 00F3 F0F0 0000 0FF0"
	$"00F3 F0FF FFFF FFF0 00F3 F066 6660 F0F0"
	$"00F3 F000 0660 F3F0 00F3 F000 0600 F0F0"
	$"00F3 F000 6600 F3F0 00F3 F000 6600 F0F0"
	$"00F3 F000 6600 F3F0 00FF F000 6000 F3F0"
	$"00FF FFFF FFFF F3F0 00FF FFFF FFFF FFF0"
};

resource 'FREF' (130, purgeable) {
	'APPL',
	0,
	""
};

resource 'FREF' (131, purgeable) {
	'TEXT',
	1,
	""
};

resource 'BNDL' (132, purgeable) {
	'SVEd',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			2, 130,
			/* [2] */
			3, 131
		}
	}
};

data 'SVEd' (0) {
	$"25"
	"MenuScript sample program from UK.DTS"
};

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,				
	multiFinderAware,			
	backgroundAndForeground,	
	dontGetFrontClicks,			
	ignoreChildDiedEvents,		
	is32BitCompatible,			
	isHighLevelEventAware,		
	localAndRemoteHLEvents,		
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	kPrefSize * 2000,
	kMinSize * 2000	
};


resource 'WIND' (128, "", purgeable) {
	{18, 48, 282, 408},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	Untitled
};

resource 'ALRT' (257, "", purgeable) {
	{60, 96, 208, 424},
	6692,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (256, "", purgeable) {
	{82, 104, 182, 366},
	12117,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (258, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{181, 213, 201, 273},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 10, 155, 217},
		Picture {
			disabled,
			128
		}
	}
};

resource 'ALRT' (258, purgeable) {
	{44, 48, 260, 329},
	258,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'PICT' (128) {
	2105,
	{86, 115, 234, 322},
	$"1101 A030 39A0 0082 0100 0A00 0000 0002"
	$"D002 4098 001C 0056 006C 00EA 0144 0056"
	$"0073 00EA 0142 0056 0073 00EA 0142 0000"
	$"12FA 0001 300C FD00 070F C000 0003 0000"
	$"C0FA 0017 0800 01FF FFF8 0000 381C FD00"
	$"0718 6000 0003 0000 C0FA 0015 0800 03E0"
	$"0004 0000 3C3C FD00 0130 30FC 0000 C0FA"
	$"0014 0800 0410 0002 0000 366C FD00 0030"
	$"FB00 00C0 FA00 1B17 0004 1000 0200 0033"
	$"CC1E 0FC1 8630 007C 3787 0FC1 F03C 1BC0"
	$"FD00 1B17 0004 1000 0200 0031 8C33 0E61"
	$"8618 00C6 3CC3 0E60 C066 1E60 FD00 1B17"
	$"0004 1FFF FE00 0030 0C61 8C31 860F C180"
	$"38C3 0C30 C0C3 1C60 FD00 1A16 0004 0000"
	$"4000 0030 0C61 8C31 8600 6180 3003 0C30"
	$"C0C3 18FC 001A 1600 0400 0040 0000 300C"
	$"7F8C 3186 0031 8030 030C 30C0 FF18 FC00"
	$"1A16 0004 0FFE 4000 0030 0C60 0C31 8600"
	$"3180 3003 0C30 C0C0 18FC 001A 1600 041F"
	$"FE40 0000 300C 600C 3186 0031 8030 030C"
	$"30C0 C018 FC00 1A16 0004 3FFE 4000 0030"
	$"0C61 8C31 8630 3180 3003 0C30 C0C3 18FC"
	$"001A 1600 043C 1E40 0000 300C 330C 30CE"
	$"1860 C630 030E 60CC 6618 FC00 1A16 0004"
	$"383C 4000 0030 0C1E 0C30 7E0F C07C 3003"
	$"0FC0 783C 18FC 000C 0400 0400 3C40 F400"
	$"000C F800 0C04 0004 003C 40F4 0000 0CF8"
	$"000C 0400 0400 7C40 F400 000C F800 0804"
	$"0004 0078 40EA 0008 0400 0400 7F40 EA00"
	$"0804 0004 00F1 C0EA 0008 0400 0400 BC60"
	$"EA00 0804 0004 00FF 38EA 0008 0400 0401"
	$"3038 EA00 0804 0004 0178 38EA 0008 0400"
	$"0401 4FF8 EA00 0804 0004 0240 78EA 0008"
	$"0400 0403 C040 EA00 0804 01FC 0000 40EA"
	$"0008 0401 0400 0040 EA00 0804 0104 0000"
	$"40EA 0008 0401 0400 0040 EA00 0804 008F"
	$"FFFF 80EA 0007 0300 7FFF FFE9 0002 E500"
	$"02E5 0002 E500 02E5 0002 E500 16FA 0010"
	$"0400 0040 0006 003C 0001 0010 E880 0000"
	$"40FD 0016 FA00 0704 0000 4000 0200 42FE"
	$"0005 104D 8000 0040 FD00 16FA 0010 0A16"
	$"00A1 E3C2 1C40 38BB 1E38 4A80 E2C3 C0FD"
	$"0016 FA00 100A 1900 A112 2222 4044 C111"
	$"1048 8113 2440 FD00 16FA 0010 1111 0111"
	$"1222 223C 4081 1110 0000 F224 40FD 0016"
	$"FA00 1011 1101 1112 223E 0240 8111 1000"
	$"0112 2440 FD00 16FA 0010 3F91 03F9 1222"
	$"2002 4081 1110 0001 1224 40FD 0016 FA00"
	$"1020 9102 0912 2222 4244 8111 1000 0112"
	$"2440 FD00 16FA 0010 2091 0209 E3C2 1C3C"
	$"3881 1E0C 0000 F223 C0FD 000B F700 0101"
	$"02FC 0000 10F7 000B F700 0101 02FC 0000"
	$"10F7 0002 E500 02E5 0002 E500 02E5 0002"
	$"E500 15FA 0002 1E1E 04FD 0001 0180 FE00"
	$"040C 2000 0410 FD00 13FA 0002 2121 04FC"
	$"0000 80FE 0003 0400 0004 FC00 18FA 0012"
	$"2120 0A00 E1C5 98F0 8700 E3C7 8461 C38E"
	$"30E2 C0FF 0018 FA00 1221 200A 0112 2664"
	$"8888 8112 2444 2224 4411 1320 FF00 18FA"
	$"0012 211E 1101 01E4 4488 8880 F224 4422"
	$"03C4 1112 20FF 0018 FA00 1221 0111 00E2"
	$"2444 888F 8112 2444 2204 4411 1220 FF00"
	$"18FA 0012 2101 3F80 1224 4488 8801 1224"
	$"4422 0444 1112 20FF 0018 FA00 1221 2120"
	$"8112 2444 8888 8112 2444 2224 4411 1220"
	$"FF00 18FA 0012 1E1E 2080 E1E4 44F0 8700"
	$"F3C7 8421 C3C3 10E2 24FF 000A F300 0480"
	$"0000 0204 F800 0AF3 0004 8000 0002 04F8"
	$"0002 E500 02E5 0002 E500 02E5 0002 E500"
	$"02E5 0002 E500 02E5 0002 E500 02E5 0002"
	$"E500 02E5 0002 E500 02E5 0014 FA00 0E10"
	$"1004 2080 0001 0000 3C7C 400F 0008 FB00"
	$"14FA 000E 1010 0020 8000 0100 0042 4240"
	$"0880 08FB 0015 FA00 0F11 12EC 71C3 8B01"
	$"E220 4042 4008 471C 38FC 0015 FA00 0F09"
	$"2304 2084 4C81 1220 4042 4008 4888 44FC"
	$"0015 FA00 0F0A A204 2084 4881 1220 3C7C"
	$"4008 4788 3CFC 0015 FA00 0F0A A204 2087"
	$"C881 1220 0250 4008 4888 44FC 0015 FA00"
	$"0F04 4204 2084 0881 1220 0248 4008 4888"
	$"44FC 0015 FA00 0F04 4204 2084 4881 1220"
	$"4244 4008 8888 44FC 0015 FA00 0F04 4204"
	$"1863 8881 E1E0 3C42 7C0F 0786 3CFC 0006"
	$"F200 0020 F500 07F3 0001 0220 F500 07F3"
	$"0001 01C0 F500 02E5 0002 E500 02E5 0002"
	$"E500 16F8 0010 3C7C 400F 0008 0001 0787"
	$"8380 0107 878F C0FF 0018 FA00 1207 8042"
	$"4240 0880 0800 0308 4844 4003 0848 4080"
	$"FF00 17FA 0011 0840 4042 4008 471C 3801"
	$"0848 4840 0108 4841 FE00 17FA 0011 1320"
	$"4042 4008 4888 4401 0848 4040 0108 4843"
	$"FE00 18FA 0012 1420 3C7C 4008 4788 3C01"
	$"0848 4080 0108 4840 80FF 0018 FA00 1214"
	$"2002 5040 0848 8844 0107 C7C1 0001 07C7"
	$"C040 FF00 17FA 000F 1320 0248 4008 4888"
	$"4401 0040 4200 0100 FE40 FF00 18FA 0012"
	$"0840 4244 4008 8888 4401 0080 8400 0100"
	$"8088 80FF 0016 FA00 0E07 803C 427C 0F07"
	$"863C 0107 070F C401 FE07 FE00 06ED 0000"
	$"04FA 0006 ED00 0008 FA00 02E5 0002 E500"
	$"02E5 0002 E500 02E5 0002 E500 14FA 000A"
	$"0100 0018 0184 0080 0212 10FE C000 40FB"
	$"0014 FA00 0901 0000 0800 8000 8002 12FE"
	$"2101 20C0 FB00 14FA 000E 0287 8F08 708C"
	$"5888 0212 4212 1210 40FB 0014 FA00 0E02"
	$"8448 8888 8464 9102 1282 1212 1040 FB00"
	$"14FA 000E 0444 4888 8884 44A0 0213 0212"
	$"1210 40FB 0014 FA00 0E04 4448 88F8 8444"
	$"C002 1282 1212 1040 FB00 14FA 000E 0FE4"
	$"4888 8084 44A0 0212 4212 1210 40FB 0014"
	$"FA00 0908 2448 8888 8444 9002 12FE 2101"
	$"2040 FB00 14FA 000A 0827 8F08 7084 4489"
	$"01E2 10FE C000 40FB 0007 F900 0104 08EF"
	$"0007 F900 0104 08EF 0002 E500 02E5 0002"
	$"E500 02E5 0002 E500 02E5 0002 E500 02E5"
	$"0002 E500 02E5 0002 E500 02E5 0002 E500"
	$"02E5 0002 E500 18FA 0014 0E00 8040 0198"
	$"0010 0006 0000 0818 0008 9107 1F38 0017"
	$"FA00 0011 FD00 0F88 0010 0002 0000 0820"
	$"0008 9204 8444 0018 FA00 1411 2D8E C718"
	$"8890 7322 6231 C638 7316 0894 0444 4000"
	$"18FA 0014 1130 9244 A488 9094 A292 4929"
	$"4824 9808 9804 4438 0018 FA00 1411 2092"
	$"449C 8890 9794 F249 2F48 2490 0898 0444"
	$"0400 18FA 0014 1120 9244 A488 9094 1482"
	$"4928 4824 9008 9404 4404 0018 FA00 1411"
	$"2092 44A4 8890 9488 9249 2948 2490 0892"
	$"0484 4400 18FA 0014 0E20 8E44 9C88 7073"
	$"0862 31C6 3823 1007 1127 0438 000E F800"
	$"0002 FE00 0010 FE00 0001 F700 0EF8 0000"
	$"0CFE 0000 60FE 0000 01F7 00A0 0083 FF"
};



resource 'ALRT' (259, "", purgeable) {
	{72, 72, 200, 384},
	259,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (260, "", purgeable) {
	{72, 72, 200, 384},
	260,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (6692, "", purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{82, 55, 106, 119},
		Button {
			enabled,
			"Yes"
		},
		/* [2] */
		{115, 55, 139, 119},
		Button {
			enabled,
			"No"
		},
		/* [3] */
		{116, 138, 140, 194},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{8, 53, 77, 289},
		StaticText {
			enabled,
			"^0^1^2^3"
		},
		/* [5] */
		{9, 10, 41, 42},
		Icon {
			enabled,
			1
		}
	}
};

resource 'DITL' (12117, "", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{68, 180, 88, 240},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{9, 57, 56, 240},
		StaticText {
			enabled,
			"^0^1^2^3"
		},
		/* [3] */
		{9, 7, 41, 39},
		Icon {
			enabled,
			1
		}
	}
};


resource 'ALRT' (261, "Apple Event resource", purgeable) {
	{56, 62, 202, 430},
	261,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (261, "", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{116, 281, 136, 341},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{19, 18, 120, 229},
		StaticText {
			enabled,
			"^0"
		}
	}
};

resource 'ALRT' (300, "Error Alert", purgeable) {
	{108, 158, 238, 476},
	300,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (300, "", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{98, 227, 119, 292},
		Button {
			enabled,
			"Oh well"
		},
		/* [2] */
		{9, 63, 89, 294},
		StaticText {
			enabled,
			"Sorry an error has occured in the area o"
			"f ^0. \nThe error code = ^1"
		},
		/* [3] */
		{10, 11, 42, 43},
		Icon {
			enabled,
			0
		}
	}
};

resource 'DITL' (1004, "", purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{65, 152, 85, 212},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{65, 79, 85, 139},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{10, 14, 31, 94},
		StaticText {
			disabled,
			"Point Size:"
		},
		/* [4] */
		{12, 115, 32, 178},
		EditText {
			enabled,
			"12"
		},
		/* [5] */
		{65, 152, 85, 212},
		UserItem {
			disabled
		},
	}
};

resource 'DLOG' (1004, "", purgeable) {
	{90, 134, 186, 364},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	1004,
	"Other Size Dialog"
};

resource 'DLOG' (1005, "printing...", purgeable) {
	{148, 157, 185, 354},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	1005,
	"printing"
};

resource 'DITL' (1005, "printing...", purgeable) {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{10, 10, 27, 235},
		StaticText {
			disabled,
			"Type \0x11. to cancel printing"
		}
	}
};

resource 'ALRT' (302, "7.0 Only Alert") {
	{50, 60, 220, 312},
	302,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (302) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{131, 140, 155, 236},
		Button {
			enabled,
			"Get into 7.0"
		},
		/* [2] */
		{4, 7, 125, 236},
		StaticText {
			enabled,
			"MenuScripter only works under System 7.0"
			".\n\nTo take advantage of AppleEvents, Out"
			"line Fonts, Balloon Help, Publish & Subs"
			"cribe and Scripting- get 7.0 now!"
		}
	}
};

resource 'MENU' (mFile) {
	129,
	textMenuProc,
	0x7FFFFB7B,
	enabled,
	"File",
	{	/* array: 12 elements */
		/* [1] */
		"New", noIcon, "N", noMark, plain,
		/* [2] */
		"Open", noIcon, "O", noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Close", noIcon, "W", noMark, plain,
		/* [5] */
		"Save", noIcon, "S", noMark, plain,
		/* [6] */
		"Save As", noIcon, noKey, noMark, plain,
		/* [7] */
		"Revert", noIcon, noKey, noMark, plain,
		/* [8] */
		"-", noIcon, noKey, noMark, plain,
		/* [9] */
		"Page Setup", noIcon, noKey, noMark, plain,
		/* [10] */
		"Print", noIcon, "P", noMark, plain,
		/* [11] */
		"-", noIcon, noKey, noMark, plain,
		/* [12] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (mApple) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About MenuScripter", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (mFont) {
	131,
	textMenuProc,
	allEnabled,
	enabled,
	"Font",
	{	/* array: 0 elements */
	}
};

resource 'MENU' (mEdit) {
	130,
	textMenuProc,
	0b111101111101,
	enabled,
	"Edit",
	{	/* array: 12 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, "K", noMark, plain,
		/* [7] */
		"Select All", noIcon, "A", noMark, plain,
		/* [8] */
		"-", noIcon, noKey, noMark, plain,
		/* [9] */
		"Create Publisher", noIcon, noKey, noMark, plain,
		/* [10] */
		"Subscribe To", noIcon, noKey, noMark, plain,
		/* [11] */
		"Section Options", noIcon, noKey, noMark, plain,
		/* [12] */
		"Show Borders", noIcon, noKey, noMark, plain,
	}
};

resource 'MENU' (mSize, preload) {
	132,
	textMenuProc,
	allEnabled,
	enabled,
	"Size",
	{	/* array: 10 elements */
		/* [1] */
		"8", noIcon, noKey, noMark, plain,
		/* [2] */
		"9", noIcon, noKey, noMark, plain,
		/* [3] */
		"10", noIcon, noKey, noMark, plain,
		/* [4] */
		"12", noIcon, noKey, noMark, plain,
		/* [5] */
		"14", noIcon, noKey, noMark, plain,
		/* [6] */
		"18", noIcon, noKey, noMark, plain,
		/* [7] */
		"24", noIcon, noKey, noMark, plain,
		/* [8] */
		"36", noIcon, noKey, noMark, plain,
		/* [9] */
		"48", noIcon, noKey, noMark, plain,
		/* [10] */
		"-", noIcon, noKey, noMark, plain,
		/* [11] */
		"Up", noIcon, "]", noMark, plain,
		/* [12] */
		"Down", noIcon, "[", noMark, plain,
		/* [13] */
		"-", noIcon, noKey, noMark, plain,
		/* [14] */
		"Other", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (mStyle, preload) {
	133,
	textMenuProc,
	allEnabled,
	enabled,
	"Style",
	{	/* array: 8 elements */
		/* [1] */
		"Plain Text", noIcon, "T", noMark, plain,
		/* [2] */
		"Bold", noIcon, "B", noMark, plain,
		/* [3] */
		"Italic", noIcon, "I", noMark, plain,
		/* [4] */
		"Underline", noIcon, "U", noMark, plain,
		/* [5] */
		"Outline", noIcon, noKey, noMark, plain,
		/* [6] */
		"Shadow", noIcon, noKey, noMark, plain,
		/* [7] */
		"Condense", noIcon, noKey, noMark, plain,
		/* [8] */
		"Extend", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (mScript, preload) {
	134,
	textMenuProc,
	allEnabled,
	enabled,
	"Script",
	{	/* array: 2 elements */
		/* [1] */
		"Compile", noIcon, noKey, noMark, plain,
		/* [2] */
		"Execute", noIcon, noKey, noMark, plain
	}
};
resource 'STR#' (mScript) {
	{
/*  1 */	"Script Handling.",

/*  2 */	"Checks the sytax of the contents of the frontmost window .",
/*  3 */	"Checks the sytax of the contents of the frontmost window .",
/*  4 */	"Checks the sytax of, and executes, the contents in the frontmost window.",
/*  5 */	"Checks the sytax of, and executes, the contents in the frontmost window."
	}
};

resource 'STR#' (mFile) {
	{
/*  1 */	"File Handling items.",

/*  2 */	"Creates a new file.",
/*  3 */	"Creates a new file.  To enable this item, choose Close from the File menu.",
/*  4 */	"Opens an existing file.",
/*  5 */	"Opens an existing file.  To enable this item, choose Close from the File menu.",
/*  6 */	"Closes the current file.",
/*  7 */	"Closes the current file.  A window must be open before this item is enabled.",
/*  8 */	"Saves the current file.",
/*  9 */	"Saves the current file.  The window must be titled before this is enabled.",
/* 10 */	"Saves the current file under a different name.",
/* 11 */	"Saves the current file under a different name.",
/* 12 */	"Reverts to the last saved version of the current file.",
/* 13 */	"Reverts to the last saved version of the current file.  Enabled when you make a change to the file",
/* 14 */	"Sets up paper size, orientation, and other printing options.",
/* 15 */	"Sets up paper size, orientation, and other printing options.",
/* 16 */	"Prints the text to the printer.",
/* 17 */	"Prints all or part of the current file.  To enable this item, choose New or Open from the File menu.",
/* 18 */	"Quit from Demo."
	}
};

resource 'hmnu' (mFile, "File") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* File */
		HMStringResItem {
			mFile,1,				/* menu title message					*/
			mFile,1,				/* disabled title message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* New */
		HMStringResItem {
			mFile,2,				/* menu item message					*/
			mFile,3,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Open */
		HMStringResItem {
			mFile,4,				/* menu item message					*/
			mFile,5,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Close */
		HMStringResItem {
			mFile,6,				/* menu item message					*/
			mFile,7,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Save */
		HMStringResItem {
			mFile,8,				/* menu item message					*/
			mFile,9,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Save As */
		HMStringResItem {
			mFile,10,				/* menu item message					*/
			mFile,11,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Revert */
		HMStringResItem {
			mFile,12,				/* menu item message					*/
			mFile,13,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Page Setup */
		HMStringResItem {
			mFile,14,				/* menu item message					*/
			mFile,15,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Print */
		HMStringResItem {
			mFile,16,				/* menu item message					*/
			mFile,17,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Quit */
		HMStringResItem {
			mFile,18,				/* menu item message					*/
			mFile,0,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		}
	}
};

resource 'STR#' (mEdit) {
	{
/*  1 */	"Editing Items.",

/*  2 */	"Restore the document to the state it was before the last action.",
/*  3 */	"Restore the document to the state it was before the last action. (Not currently implemented)",
/*  4 */	"Delete the current text selection and copy it to the clipboard.",
/*  5 */	"Delete the current text selection and copy it to the clipboard. Select some text to enable this item.",
/*  6 */	"Copy the current text selection to the clipboard.",
/*  7 */	"Copy the current text selection to the clipboard. Select some text to enable this item.",
/*  8 */	"Take the text from the clipboard and add it at the current insertion point.",
/*  9 */	"Take the text from the clipboard and add it at the current insertion point. This item is enabled when there is some text on the clipboard",
/* 10 */	"Delete the currently selected text.",
/* 11 */	"Delete the currently selected text.  Select some text to enable this item.",
/* 12 */	"Select all the text in the document.",
/* 13 */	"Select all the text in this document.  This item is enabled when a window is open.",
/* 14 */	"Display the Create Publisher dialog to publish the selected text.",
/* 15 */	"Publish selected text. Select some text to enable this item.",
/* 16 */	"Put up the Subscriber dialog Subscribe to a Published section of text.",
/* 17 */	"Put up the Subscriber dialog Subscribe to a Published section of text.  Enabled when no publisher is selected.",
/* 18 */	"Display the Section Options dialog for a Publisher or Subscriber.",
/* 19 */	"Display the Section Options dialog for a Publisher or Subscriber.  Select a Publisher or Subscriber to enable this item.",
/* 20 */	"Show/Hide the all the Publisher or Subscriber borders"
	}
};



resource 'hmnu' (mEdit, "Edit") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* edit */
		HMStringResItem {
			mEdit,1,				/* menu title message					*/
			mEdit,1,				/* disabled title message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Undo */
		HMStringResItem {
			mEdit,2,				/* menu item message					*/
			mEdit,3,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Disabled Item */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Cut */
		HMStringResItem {
			mEdit,4,				/* menu item message					*/
			mEdit,5,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Copy */
		HMStringResItem {
			mEdit,6,				/* menu item message					*/
			mEdit,7,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Paste */
		HMStringResItem {
			mEdit,8,				/* menu item message					*/
			mEdit,9,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Clear */
		HMStringResItem {
			mEdit,10,				/* menu item message					*/
			mEdit,11,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Select All */
		HMStringResItem {
			mEdit,12,				/* menu item message					*/
			mEdit,13,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},	
		
		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		
		/* Create Publisher*/
		HMStringResItem {
			mEdit,14,				/* menu item message					*/
			mEdit,15,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},	
		
		/* Subscribe To..*/
		HMStringResItem {
			mEdit,16,				/* menu item message					*/
			mEdit,17,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},	
		
		/* Section Options*/
		HMStringResItem {
			mEdit,18,				/* menu item message					*/
			mEdit,19,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},	
		
		/* Show/Hide borders*/
		HMStringResItem {
			mEdit,20,				/* menu item message					*/
			mEdit,20,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},	
   }
};

resource 'STR#' (mFont) {
	{
/*  1 */	"Change the text font the one you want by selecting that Font from this menu."
    }
};


resource 'hmnu' (mFont, "Font") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Font */
		HMStringResItem {
			mFont,1,				/* menu title message					*/
			mFont,1,				/* disabled title message				*/
			mFont,0,				/* reserved message						*/
			mFont,0					/* reserved message						*/
		}
	}
};


resource 'STR#' (mSize) {
	{
/*  1 */	"Change the size of the text by choosing the new size from this menu.  The size menus are outlined for TrueType fonts."
    }
};


resource 'hmnu' (mSize, "Size") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Font */
		HMStringResItem {
			mSize,1,				/* menu title message					*/
			mSize,1,				/* disabled title message				*/
			mSize,0,				/* reserved message						*/
			mSize,0					/* reserved message						*/
		}
	}
};

resource 'STR#' (mStyle) {
	{
/*  1 */	"Choose the new text style from this menu"
    }
};


resource 'hmnu' (mStyle, "Style") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Font */
		HMStringResItem {
			mStyle,1,				/* menu title message					*/
			mStyle,1,				/* disabled title message				*/
			mStyle,0,				/* reserved message						*/
			mStyle,0					/* reserved message						*/
		}
	}
};

resource 'hmnu' (mScript, "Script") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Script */
		HMStringResItem {
			mScript,1,				/* menu title message					*/
			mScript,1,				/* disabled title message				*/
			mScript,0,				/* reserved message						*/
			mScript,0					/* reserved message						*/
		},
		/* Compile */
		HMStringResItem {
			mScript,2,				/* menu title message					*/
			mScript,3,				/* disabled title message				*/
			mScript,0,				/* reserved message						*/
			mScript,0					/* reserved message						*/
		},
		/* Execute */
		HMStringResItem {
			mScript,4,				/* menu title message					*/
			mScript,5,				/* disabled title message				*/
			mScript,0,				/* reserved message						*/
			mScript,0					/* reserved message						*/
		},
	}
};

resource 'aete' (0, "MenuScripter Suite") {
	0x00,
	0x01,
	english,
	roman,
	{	/* array Suites: 4 elements */
		/* [1] */
		"Core Suite",
		"Suite that applies to all applications",
		'core',
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 2 elements */
			/* [1] */
			"Window",
			'cwin',
			"A window",
			{	/* array Properties: 2 elements */
				/* [1] */
				"position",
				'ppos',
				'QDpt',
				"the position of a window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"Contents",
				'pcnt',
				typeIntlText,
				"The text of the window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"Page Setup",
				'PSET',
				'TPNT',
				"The Page Setup of the window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"Show Borders",
				'PBOR',
				'cboo',
				"The Show Borders of the window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			},
			{	/* array Elements: 4 elements */
				/* [1] */
				'cha ',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				'cwor',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				'clin',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				'citm',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [2] */
			"Spot",
			'cspt',
			"A position where an insertion point can go",
			{	/* array Properties: 7 elements */
				/* [1] */
				"Class",
				pClass,
				cType,
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"Font",
				pFont,
				cText,
				"The name of the font",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"Style",
				pTextStyles,
				cTextStyles,
				"The text style",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"Color",
				pColor,
				cRGBColor,
				"The color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"Size",
				pPointSize,
				cFixed,
				"The size in points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"Writing Code",
				pScriptTag,
				cIntlWritingCode,
				"The script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"Width",
				'pwid',
				'cf16',
				"Width of the text in points",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			},
			{	/* array Elements: 0 elements */
			}
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [2] */
		"Required Suite",
		"Events that every application should support",
		'reqd',
		1,
		1,
		{	/* array Events: 1 elements */
			/* [1] */
			"Quit",
			"Perform tasks before termination, then terminate",
			kCoreEventClass,
			kAEQuitApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
				/* [1] */
				"Save",
				keyAESaveOptions,
				enumSaveOptions,
				"Specifies whether or not to save currently open documents",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [3] */
		"Misc Standard Suite",
		"",
		'misc',
		1,
		1,
		{	/* array Events: 1 elements */
		/* [1] */
			"copy",
			"Copy an object to the clipboard",
			'misc',
			'copy',
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			'obj ',
			"the object to copy to the clipboard",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [2] */
			"cut",
			"Cut an object to the clipboard",
			'misc',
			'cut ',
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			'obj ',
			"the object to cut to the clipboard",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [3] */
			"paste",
			"Paste an object from the clipboard",
			'misc',
			'past',
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [4] */
			"create publisher",
			"Create a publisher",
			kAEMiscStandards,
			kAECreatePublisher,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"Object to publish",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"edition",
				keyAEEditionFileLoc,
				typeAlias,
				"Alias to the edition container file",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved, reserved, reserved
			},
		/* [5] */
			"revert",
			"Restore the object to its last saved state",
			kAEMiscStandards,
			kAERevert,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"The object to revert",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
		 /* [6] */
			"Show",
			"Bring an object into view",
			kAEMiscStandards,
			kAEMakeObjectsVisible,
			noReply,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			'obj ',
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			}
		},
		{			/* [1] */
			"Menu Item",
			'cmen',
			"A menu item",
			{	/* array Properties: 2 elements */
				/* [1] */
				"Name",
				'pnam',
				ctext,
				"Name of the menu item",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"Item Number",
				'itmn',
				'shor',
				"The menu item number",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"Menu",
			cMenu,
			"A menu",
			{	/* array Properties: 1 elements */
				/* [1] */
				"Active Item",
				'PACT',
				cShortInteger,
				"The current item number active",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
			  'cmen',
				{ /* keyForms */
					formAbsolutePosition
				},
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [4] */
		"Text Suite",
		"A set of basic classes for text processing",
		'TEXT',
		1,
		1,
		{   /* array Events: 0 elements */
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		}
	}
};

